/*
 * Project: MoleCuilder
 * Description: creates and alters molecular systems
 * Copyright (C)  2010-2012 University of Bonn. All rights reserved.
 * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
 */

/*
 * BoxQuery.cpp
 *
 *  Created on: Oct 25, 2010
 *      Author: heber
 */

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include "CodePatterns/MemDebug.hpp"

#include "Dialog.hpp"


// Box Queries
Dialog::RealSpaceMatrixQuery::RealSpaceMatrixQuery(Parameter<RealSpaceMatrix> &_param, std::string title, std::string _description) :
  Query(title, _description),
  param(_param)
{}

Dialog::RealSpaceMatrixQuery::~RealSpaceMatrixQuery()
{}

void Dialog::RealSpaceMatrixQuery::setResult() {
}

